<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>FingerprintDetailsDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FingerprintDetailsDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FingerprintDetailsDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/biometric/FaceDetailsDTO.html" title="class in io.mosip.registration.dto.biometric"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/biometric/IrisDetailsDTO.html" title="class in io.mosip.registration.dto.biometric"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" target="_top">Frames</a></li>
<li><a href="FingerprintDetailsDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.biometric</div>
<h2 title="Class FingerprintDetailsDTO" class="title">Class FingerprintDetailsDTO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.BaseDTO</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.biometric.FingerprintDetailsDTO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FingerprintDetailsDTO</span>
extends <a href="../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">BaseDTO</a></pre>
<div class="block">This class contains the information on captured Finger prints.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dinesh Asokan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#fingerprintImageName">fingerprintImageName</a></span></code>
<div class="block">The fingerprint image name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#fingerType">fingerType</a></span></code>
<div class="block">The finger type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#isForceCaptured">isForceCaptured</a></span></code>
<div class="block">The is force captured.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#numRetry">numRetry</a></span></code>
<div class="block">The num retry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#qualityScore">qualityScore</a></span></code>
<div class="block">The quality score.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#FingerprintDetailsDTO--">FingerprintDetailsDTO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getFingerPrint--">getFingerPrint</a></span>()</code>
<div class="block">Gets the finger print.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getFingerprintImageName--">getFingerprintImageName</a></span>()</code>
<div class="block">Gets the fingerprint image name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getFingerPrintISOImage--">getFingerPrintISOImage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getFingerType--">getFingerType</a></span>()</code>
<div class="block">Gets the finger type.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getNumRetry--">getNumRetry</a></span>()</code>
<div class="block">Gets the num retry.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getQualityScore--">getQualityScore</a></span>()</code>
<div class="block">Gets the quality score.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">FingerprintDetailsDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#getSegmentedFingerprints--">getSegmentedFingerprints</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#isForceCaptured--">isForceCaptured</a></span>()</code>
<div class="block">Checks if is force captured.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setFingerPrint-byte:A-">setFingerPrint</a></span>(byte[]&nbsp;fingerPrint)</code>
<div class="block">Sets the finger print.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setFingerprintImageName-java.lang.String-">setFingerprintImageName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fingerprintImageName)</code>
<div class="block">Sets the fingerprint image name.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setFingerPrintISOImage-byte:A-">setFingerPrintISOImage</a></span>(byte[]&nbsp;fingerPrintISOImage)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setFingerType-java.lang.String-">setFingerType</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fingerType)</code>
<div class="block">Sets the finger type.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setForceCaptured-boolean-">setForceCaptured</a></span>(boolean&nbsp;isForceCaptured)</code>
<div class="block">Sets the force captured.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setNumRetry-int-">setNumRetry</a></span>(int&nbsp;numRetry)</code>
<div class="block">Sets the num retry.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setQualityScore-double-">setQualityScore</a></span>(double&nbsp;qualityScore)</code>
<div class="block">Sets the quality score.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html#setSegmentedFingerprints-java.util.List-">setSegmentedFingerprints</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">FingerprintDetailsDTO</a>&gt;&nbsp;segmentedFingerprints)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="fingerprintImageName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fingerprintImageName</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> fingerprintImageName</pre>
<div class="block">The fingerprint image name.</div>
</li>
</ul>
<a name="qualityScore">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>qualityScore</h4>
<pre>protected&nbsp;double qualityScore</pre>
<div class="block">The quality score.</div>
</li>
</ul>
<a name="isForceCaptured">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForceCaptured</h4>
<pre>protected&nbsp;boolean isForceCaptured</pre>
<div class="block">The is force captured.</div>
</li>
</ul>
<a name="fingerType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fingerType</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> fingerType</pre>
<div class="block">The finger type.</div>
</li>
</ul>
<a name="numRetry">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>numRetry</h4>
<pre>protected&nbsp;int numRetry</pre>
<div class="block">The num retry.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FingerprintDetailsDTO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FingerprintDetailsDTO</h4>
<pre>public&nbsp;FingerprintDetailsDTO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFingerPrint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFingerPrint</h4>
<pre>public&nbsp;byte[]&nbsp;getFingerPrint()</pre>
<div class="block">Gets the finger print.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the finger print</dd>
</dl>
</li>
</ul>
<a name="setFingerPrint-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFingerPrint</h4>
<pre>public&nbsp;void&nbsp;setFingerPrint(byte[]&nbsp;fingerPrint)</pre>
<div class="block">Sets the finger print.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fingerPrint</code> - the new finger print</dd>
</dl>
</li>
</ul>
<a name="getFingerprintImageName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFingerprintImageName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFingerprintImageName()</pre>
<div class="block">Gets the fingerprint image name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the fingerprint image name</dd>
</dl>
</li>
</ul>
<a name="setFingerprintImageName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFingerprintImageName</h4>
<pre>public&nbsp;void&nbsp;setFingerprintImageName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fingerprintImageName)</pre>
<div class="block">Sets the fingerprint image name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fingerprintImageName</code> - the new fingerprint image name</dd>
</dl>
</li>
</ul>
<a name="getQualityScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualityScore</h4>
<pre>public&nbsp;double&nbsp;getQualityScore()</pre>
<div class="block">Gets the quality score.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the quality score</dd>
</dl>
</li>
</ul>
<a name="setQualityScore-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQualityScore</h4>
<pre>public&nbsp;void&nbsp;setQualityScore(double&nbsp;qualityScore)</pre>
<div class="block">Sets the quality score.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>qualityScore</code> - the new quality score</dd>
</dl>
</li>
</ul>
<a name="isForceCaptured--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForceCaptured</h4>
<pre>public&nbsp;boolean&nbsp;isForceCaptured()</pre>
<div class="block">Checks if is force captured.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if is force captured</dd>
</dl>
</li>
</ul>
<a name="setForceCaptured-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForceCaptured</h4>
<pre>public&nbsp;void&nbsp;setForceCaptured(boolean&nbsp;isForceCaptured)</pre>
<div class="block">Sets the force captured.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isForceCaptured</code> - the new force captured</dd>
</dl>
</li>
</ul>
<a name="getFingerType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFingerType</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFingerType()</pre>
<div class="block">Gets the finger type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the finger type</dd>
</dl>
</li>
</ul>
<a name="setFingerType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFingerType</h4>
<pre>public&nbsp;void&nbsp;setFingerType(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fingerType)</pre>
<div class="block">Sets the finger type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fingerType</code> - the new finger type</dd>
</dl>
</li>
</ul>
<a name="getNumRetry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumRetry</h4>
<pre>public&nbsp;int&nbsp;getNumRetry()</pre>
<div class="block">Gets the num retry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the num retry</dd>
</dl>
</li>
</ul>
<a name="setNumRetry-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumRetry</h4>
<pre>public&nbsp;void&nbsp;setNumRetry(int&nbsp;numRetry)</pre>
<div class="block">Sets the num retry.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numRetry</code> - the new num retry</dd>
</dl>
</li>
</ul>
<a name="getSegmentedFingerprints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSegmentedFingerprints</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">FingerprintDetailsDTO</a>&gt;&nbsp;getSegmentedFingerprints()</pre>
</li>
</ul>
<a name="setSegmentedFingerprints-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSegmentedFingerprints</h4>
<pre>public&nbsp;void&nbsp;setSegmentedFingerprints(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">FingerprintDetailsDTO</a>&gt;&nbsp;segmentedFingerprints)</pre>
</li>
</ul>
<a name="getFingerPrintISOImage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFingerPrintISOImage</h4>
<pre>public&nbsp;byte[]&nbsp;getFingerPrintISOImage()</pre>
</li>
</ul>
<a name="setFingerPrintISOImage-byte:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setFingerPrintISOImage</h4>
<pre>public&nbsp;void&nbsp;setFingerPrintISOImage(byte[]&nbsp;fingerPrintISOImage)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FingerprintDetailsDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/biometric/FaceDetailsDTO.html" title="class in io.mosip.registration.dto.biometric"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/biometric/IrisDetailsDTO.html" title="class in io.mosip.registration.dto.biometric"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" target="_top">Frames</a></li>
<li><a href="FingerprintDetailsDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
